> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/woningdata/locatie-gegevens-api/authenticatie-invoer-en-resultaat.md).

# Authenticatie, invoer en resultaat

## Haal vastgoedinformatie op voor een huisadres

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/location-data`

#### Headers

| Name                                        | Type   | Description                                                                      |
| ------------------------------------------- | ------ | -------------------------------------------------------------------------------- |
| Content-Type                                | string | application/json                                                                 |
| x-api-key<mark style="color:red;">\*</mark> | string | Unieke API-sleutel van Altum. Maak er een via Mopsus (<https://mopsus.altum.ai>) |

#### Request Body

| Name                                          | Type   | Description               |
| --------------------------------------------- | ------ | ------------------------- |
| postcode<mark style="color:red;">\*</mark>    | string | Postcode van het object   |
| housenumber<mark style="color:red;">\*</mark> | string | Huisnummer van het object |
| addition                                      | string | Toevoeging huisnummer     |

{% tabs %}
{% tab title="429: Too Many Requests API-sleutellimiet overschreden" %}

{% endtab %}

{% tab title="200: OK Succesvolle reactie." %}

```
{
	"output": {
		"bag": {
			"bagid": "0355010000760136",
			"postcode": "3709JL",
			"housenumber": "1",
			"houseaddition": "A3",
			"valuationdate": null,
			"houseletter": null,
			"houseaddress": "3709JL-1-A3",
			"city": "Zeist",
			"street": "Laan van Rijnwijk",
			"street_type": "Weg",
			"object_function": "woonfunctie",
			"build_year": "1956",
			"num_id": "355200000760135",
			"opr_id": "355300000715015",
			"inner_surface_area": "63",
			"outer_surface_area": "32371.0",
			"object_status": "Verblijfsobject in gebruik",
			"type_adressable_object": "Verblijfsobject",
			"city_status": "Woonplaats aangewezen",
			"neighbourhood_code": "BU03550403",
			"longitude": "5.252295887993648",
			"latitude": "52.06943069547836",
			"wpl_id": "2821",
			"section_letter": "F",
			"public_space_status": "Naamgeving uitgegeven",
			"building_status": "Pand in gebruik",
			"pnd_id": "355100000716502",
			"district_code": "35504.0",
			"parcel_number": "841.0",
			"garden_orientation_cat": "North-East",
			"garden_orientation_num": "50.63422057165001",
			"municipality_code": "355.0",
			"parcel_number_rotation": "0.0",
			"status_numbering": "Naamgeving uitgegeven"
		},
		"amenities": {
			"railway_station": "933.6281294349901",
			"school": "713.9065745947164",
			"shopping_mall": "11497.698966307216",
			"highway_entry": "1292.2849136753132",
			"police_station": "1819.0025958902368",
			"convenience_store": "1376.018421818083",
			"bus_stop": "264.25793815501623",
			"hospital": "2519.184016411734"
		},
		"locality": {
			"province": "Utrecht",
			"municipality": "Zeist",
			"city": "Zeist",
			"neighborhood_code": "BU03550403",
			"neighborhood_name": "Driebergseweg",
			"neighborhood_data": {
				"inhabitants": {
					"total": "325.0",
					"men": "135.0",
					"women": "190.0"
				},
				"age": {
					"0_14": "15.0",
					"15_24": "15.0",
					"25_44": "35.0",
					"45_64": "95.0",
					"65_plus": "165.0"
				},
				"household_composition": {
					"total": "225.0",
					"single": "155.0",
					"without_kids": "50.0",
					"with_kids": "15.0",
					"average_household_size": "1.5"
				}
			},
			"postcode_data": {
				"house_types": {
					"corner": "0.0",
					"detached": "1.0",
					"terraced": "0.0",
					"semi_detached": "0.0",
					"linked": "0.0",
					"linked_semi_detached": "0.0",
					"end": "0.0",
					"single_family": "0.0",
					"gallery": "0.0",
					"porch_flat": "0.0",
					"porch_house": "0.0",
					"corridor": "0.0",
					"maisonnette": "0.0",
					"downstairs": "0.0",
					"upstairs": "0.0",
					"multi_family": "106.0"
				},
				"average_price_per_square_meter": "1416.6375",
				"average_transaction_price": "113331.0",
				"transactions_past_12_months": "4.0",
				"population_density_km2": "257",
				"average_for_sale_duration": null,
				"average_asking_price": "198000.0",
				"percent_houses_rented": null,
				"percent_houses_owned": null,
				"foundation": {
					"physical_region": {
						"description": "Hogere Zandgronden",
						"short": "hz",
						"translation": "Higher Sandy Soils"
					},
					"ground": {
						"description": "Niet kwetsbaar gebied – 80-100 %",
						"code": "25.0",
						"translation": "Not sensitive area - 80-100%"
					}
				}
			}
		}
	}
}
```

{% endtab %}

{% tab title="400: Bad Request Mislukte reactie" %}

```
{
	"Output": "The given house address was not found in database."
}
```

{% endtab %}

{% tab title="401: Unauthorized Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="403: Forbidden Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Verkeerd invoerformaat" %}

```
{
    "detail": [{
        "loc": ["body", 40],
        "msg": "Expecting value: line 3 column 17 (char 40)",
        "type": "value_error.jsondecode",
        "ctx": {
            "msg": "Expecting value",
            "doc": "{\n\t\"postcode\":\"3038VX\",\n\t\"housenumber\": re,\n\t\"addition\": \"A01\"\n}",
            "pos": 40,
            "lineno": 3,
            "colno": 17
        }
    }]
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Voorbeeld verzoek

```
{
    "postcode": "3709JL",
    "housenumber": "1",
    "houseaddition": "A3"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.altum.ai/woningdata/locatie-gegevens-api/authenticatie-invoer-en-resultaat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
